Package org.eclipse.core.databinding.util

# Class Policy

java.lang.Object
org.eclipse.core.databinding.util.Policy

public class Policy extends Object
The Policy class handles settings for behaviour, debug flags and logging within JFace Data Binding.

Since:
  1.1

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`DEFAULT`
Constant for the the default setting for debug options.
`static final String`
`JFACE_DATABINDING`
The unique identifier of the JFace plug-in.

## Constructor Summary

Constructors
Constructor
Description
`Policy()`

## Method Summary

Modifier and Type
Method
Description
`static ILogger`
`getLog()`
Returns the logger used by JFace Data Binding to log errors.
`static void`
`setLog(ILogger logger)`
Sets the logger used by JFace Data Binding to log errors.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT

public static final boolean DEFAULT
Constant for the the default setting for debug options.

See Also:
  - Constant Field Values

### JFACE_DATABINDING

public static final String JFACE_DATABINDING
The unique identifier of the JFace plug-in.

See Also:
  - Constant Field Values

## Constructor Details

### Policy

public Policy()

## Method Details

### setLog

public static void setLog(ILogger logger)
Sets the logger used by JFace Data Binding to log errors.

Parameters:
  `logger` - the logger to use, or `null` to use the default logger

### getLog

public static ILogger getLog()
Returns the logger used by JFace Data Binding to log errors.

The default logger prints the status to `System.err`.

Returns:
  the logger